body{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    font-size: 120%;
    font-family: 'Open Sans', sans-serif;
    background-image: url('https://source.unsplash.com/user/erondu/1600x900/?landscape');
    background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;

}

.container{
    background: rgba(235, 232, 232, 0.782);
    padding: 2em;
    color: black;
    border-radius: 50px;
    width: 100%;
    max-width: 300px;
    margin: 1em;
 }
 
.search{
    display:flex;
    align-items: center;
    justify-content: center;
    font-size: 85%;
}
button{
    margin: 1px;
    border-radius: 50%;
    height: 50px;
    width: 50px;
    border: 1px solid rgb(145, 143, 143);
    padding: 0;
    background:#b6b5b52b ;
    color: black;
    font-size: 160%;
    transition: 0.3s ease-in-out;
}
button:hover{
    background: rgba(25, 24, 24, 0.285);
    cursor: pointer;
}
input.search_bar{
    border: 5px solid rgb(182, 181, 181);
    outline: none;
    padding: .3em .8em;
    margin-right: 7px;
    border-radius: 18px;
    background:#9b99991a ;
    color: black;
    font-family: 'Open Sans', sans-serif;
    font-size: 100%;
    width: 70%;
}

.location{
    display: flex;
    
}
h1.temp{
    display: flex;
    justify-content: center;
    text-align: center;
    font-size: 200%;
    margin: 0;
    margin-bottom: 10px;
    
}
.icon{
    border: 1px solid rgb(160, 157, 157);
    border-radius: 100%;
    background: rgb(142, 139, 139);
}

.description{
    text-transform: capitalize;
    margin-top: 10px;
    margin-left: 10px;
}
.weatherdetails{
    display: flex;
    
}
.weather.loading{
    visibility: hidden;
    max-height: 20px;
    position: relative;
}
.weather.loading:after{
   visibility: visible;
   content: "Loading...";
   color: black;
   position: absolute;
   top: 0;
   left: 20px;
}